##########################################################
#                   EnderBank Config                     #
##########################################################

Default_Page_Price: 10
#This is how much the first bank page will cost
Page_Price_Multiplier: 1
#This is how much the bank page cost will be multiplied
#by for every additional page.
Page_Price_Addition: 0
#This is how much the bank page cost will be increased
#by for every additional page.

Use_Item_For_Page_Price: false
#Enable this if you wish to use an item to purchase new pages.
#This does NOT replace cash but works WITH cash. Set cash to 0
#if you only want items for purchase

Page_Price_Items:
 2:
  id: "STICK"
  amount: 2
 #This item "2" is the item required for the second page (first unlocked). Same goes for other pages.
 Default:
  id: "EMERALD"
  name: "&r&cEnderBank Storage Upgrade"
  amount: 1
  lore:
   - "&r&7Use me to upgrade your EnderBank page count!"
 #This default item is the one that will be looked for if a specific page doesn't
 #have an item like how page 1 does above.
 #If you wish to cap the EnderBank page counts, simply put specific items for all
 #the pages you wish to include, and then make the default item something unobtainable.

Must_Look_At_Chest_To_Search: true
#This makes it so players must be looking at an EnderChest
#to utilize the search feature, resulting in a "never left
#the chest" experience despite actually exiting their bank
#to enter their search term in the chat.

Enable_Open_Bank_Noise: true
#Enable this to play a noise upon opening a player's bank
#It currently plays every time the first page is opened as this
#is the only way it can work with the way the backend saves
#the inventories and opens other pages.

Open_Bank_Noise: "BLOCK_ENDER_CHEST_OPEN"
#This is the correct name for the noise in 1.15.2
#If you'd like to use a different noise or run a different minecraft
#version, check documentation for exact sound name.

Open_Bank_Noise_Global: true
#If this is true, then the noise made upon opening a players'
#bank will be heard by all nearby players. If false, only
#the player opening the bank will hear it.

#Disabled_Worlds:
#- Default
#- Default_Nether
#- Example3
#This is a list of worlds that the plugin is disabled in.
#To enable this feature, simply uncomment it.

Disable_Dump_Into_Inventory: false
#Setting this to true disables use of the dump buttons.

Dump_Into_Inventory_Blacklist:
 item1randomidentifier:
  id: "COMPASS"
  name: "&cServer Changer"
  lore:
   - "&rRight click to change servers!"
 item2randomidentifier:
  id: "STICK"
#Items on this blacklist will not automatically be carried over into EnderBanks upon clicking the
#dump into inventory buttons. Add server switching compasses, tutorial books, or anything else like that
#you see fit. PROBABLY REMOVE THE VANILLA STICK FROM IT.

##########################
###Syntax for each item###
##########################

#id: DIRT							(Required)
#amount: 1							(Optional)
#name: "Dirt"						(Optional)
#enchantments:						(Optional)
# - "arrowdamage:1"					(Optional)
# - "arrowfire:1"					(Optional)
# - "arrowinfinite:1"				(Optional)
# - "arrowknockback:1"				(Optional)
# - "damage:1"						(Optional)
# - "digspeed:1"					(Optional)
# - "durability:1"					(Optional)
# - "fireaspect:1"					(Optional)
# - "knockback:1"					(Optional)
# - "lootbonusblock:1"				(Optional)
# - "lootbonusmob:1"				(Optional)
# - "luck:1"						(Optional)
# - "protectionfall:1"				(Optional)
# - "protectionfire:1"				(Optional)
# - "silktouch:1"					(Optional)
#tags:								(Optional)
# - "playerskullskin:SKINVALUE"		(Optional)
# - "vanilladurability:256"			(Optional)
# - "unbreakable:true"				(Optional)
# - "custommodeldata:1234567"		(Optional)
#flags:								(Optional)
# - "HIDE_ATTRIBUTES"				(Optional)
# - "HIDE_DESTROYS"					(Optional)
# - "HIDE_ENCHANTS"					(Optional)
# - "HIDE_PLACED_ON"				(Optional)
# - "HIDE_POTION_EFFECTS"			(Optional)
# - "HIDE_UNBREAKABLE"				(Optional)

##########################################################
#                       GUI Items                        #
##########################################################

#Syntax:
#%eb_pagecost% -> Cost of next page
#%eb_pagecostitemname% -> Name of item required for next page purchase
#%eb_pagecostitemamount% -> Amount of item required for next page purchase

GUI:
  Next_Page:
    id: PAPER
    name: "Next Page"
  Buy_Next_Page:
    id: PAPER
    name: "Next Page"
    lore:
    - "&rClick to Purchase"
    - "&rCost: %eb_pagecost%"
  Confirm_Buy_Next_Page:
    id: YELLOW_STAINED_GLASS_PANE
    name: "Confirm Purchase"
    lore:
    - "&r&oClick again to confirm purchase!"
  Previous_Page:
    id: PAPER
    name: "Previous Page"
  Dump_Equipment:
    id: IRON_HELMET
    name: "Dump Equipment"
    flags:
    - HIDE_ATTRIBUTES
  Dump_Items:
    id: CHEST
    name: "Dump Items"
    lore:
    - "&r&7Left click to dump all items in inventory (excluding the hotbar)"
    - "&r&7Right click to dump all items in inventory (including the hotbar)"
  Search:
    id: COMPASS
    name: "Search"
  Separator:
    id: BLACK_STAINED_GLASS_PANE
    name: " "
    flags:
    - HIDE_ATTRIBUTES

##########################################################
#                        Version                         #
##########################################################

VERSION: 7
#Do not touch this. No touchy.